Bug 39403 - Update logon scripts listener module for newer MacOSX versions
Update logon scripts listener module for newer MacOSX versions
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Netlogon scripts
UCS@school 4.0 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.0 R2 Errata
Assigned To: Sönke Schwardt-Krummrich
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 09:32 CEST by Sönke Schwardt-Krummrich
Modified: 2015-11-11 14:22 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments
Patch for listener module (2.82 KB, patch)
2015-10-01 22:25 CEST, Sönke Schwardt-Krummrich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-09-25 09:32:03 CEST
The part for creating MacOSX relevant shell scripts for logon within the listener module ucs-school-user-logonscript.py is quite outdated. A customer provided an updated patch, addressing the following issues:

1) The current code creates a shell script with name "<share name>.app". Newer versions of OS X are unable to use them.

2) The scripts are created within the folder "Eigene Shares". If the school DC is used for Windows and MacOSX clients and the user is sharing the same desktop on both operating systems, the MacOSX scripts are gone after the next windows login.

The attached customer patch adds a new UCR variable for an alternative folder name for MacOSX scripts. Additionally the location/name of the scripts has been fixed ("Programmname.app/Programmname"). The patch has been tested by the customer with OS X 10.6 up to 10.10.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-10-01 22:25:49 CEST
Created attachment 7197 [details]
Patch for listener module
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-10-01 22:47:36 CEST
Patch has been taken over with small adjustments. The patch adds a new UCR variable ucsschool/userlogon/mac/foldername that may be used to specify a special desktop folder for the OS X scripts. If undefined, the old default "Eigene Shares" is used.

ucs-school-netlogon-user-logonscripts (11.0.2-1):
r64156 | Bug #39403: update OS X logon scripts for newer versions (10.6 - 10.10)
r64149 | Bug #39403: fixed wrong information in warning log message
r64148 | Bug #39403: skipped superfluous warning in logfile
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-10-01 23:13:39 CEST
The package has been published to app repo ucsschool_devel.
Comment 4 Felix Botner univentionstaff 2015-10-16 14:23:53 CEST
* minor issue - no description for ucsschool/userlogon/mac/foldername
  is that OK?

rest OK (i did not actually tested this with a mac, just verified the share dir)

(In reply to Sönke Schwardt-Krummrich from comment #0) 
> 1) The current code creates a shell script with name "<share name>.app".
> Newer versions of OS X are unable to use them.

ucr set ucsschool/userlogon/mac=true
/etc/init.d/univention-directory-listener restart

-> find test2/Desktop/
test2/Desktop/
test2/Desktop/Eigene Shares
test2/Desktop/Eigene Shares/Marktplatz.app
test2/Desktop/Eigene Shares/Marktplatz.app/Marktplatz
test2/Desktop/Eigene Shares/school1-1a.app
test2/Desktop/Eigene Shares/school1-1a.app/school1-1a

-> more "test2/Desktop/Eigene Shares/Marktplatz.app/Marktplatz"
#!/usr/bin/osascript
tell application "Finder"
 open location "smb://test2@master/Marktplatz"
 activate
end tell

> 2) The scripts are created within the folder "Eigene Shares". If the school
> DC is used for Windows and MacOSX clients and the user is sharing the same
> desktop on both operating systems, the MacOSX scripts are gone after the
> next windows login.

-> ucr set ucsschool/userlogon/mac/foldername='Mac Shares'
-> /etc/init.d/univention-directory-listener restart

-> find test4/Desktop/
test4/Desktop/
test4/Desktop/Mac Shares
test4/Desktop/Mac Shares/Marktplatz.app
test4/Desktop/Mac Shares/Marktplatz.app/Marktplatz
test4/Desktop/Mac Shares/school1-1a.app
test4/Desktop/Mac Shares/school1-1a.app/school1-1a
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2015-10-23 16:37:15 CEST
(In reply to Felix Botner from comment #4)
> * minor issue - no description for ucsschool/userlogon/mac/foldername
>   is that OK?

Yes, this is ok. This is an intentionally undocumented feature.
→ RESOLVED
Comment 6 Felix Botner univentionstaff 2015-10-26 10:17:27 CET
OK
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2015-11-11 14:20:25 CET
UCS@school 4.0 R2 v3 has been released.

If this error occurs again, please use "Clone This Bug".